haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Medium.Plain.List

# Documentation

data T a Source

Constructors

Primitive a |
Serial [T a] |
Parallel [T a] |

Instances

Functor T |
Foldable T |
Traversable T |
C T |
Construct T |
Eq a => Eq (T a) |
Ord a => Ord (T a) |
Show a => Show (T a) |
C a => C (T a) |

serialToList :: T a -> [T a]Source

parallelToList :: T a -> [T a]Source